/**
 * Copyright © VNG Realisatie 2023
 * Licensed under the EUPL
 */

@use "../theme";

$_animationDuration: 150ms;

.authenticated-page-template {
    display: flex;
    position: relative;
    align-items: flex-start;

    &__skip-to-content {
        background-color: theme.$colorPaletteGray900;
        color: theme.$colorPaletteGray100;
        position: absolute;
        top: 0;
        left: 0;
        padding: theme.$spacing05;
        text-decoration: none;
        z-index: 100;

        &:not(:focus):not(:active) {
            overflow: hidden;
            width: 1px;
            height: 1px;
            clip: rect(0 0 0 0);
            clip-path: inset(50%);
            white-space: nowrap;
        }
    }

    &__primary-navigation {
        flex: 0 0 6.5rem;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        height: 100%;
        padding: theme.$spacing06 0;
        font-size: theme.$spacing04;
        text-align: center;
        list-style-type: none;
        color: theme.$colorPaletteGray500;
        background: #313131;
        position: sticky;
        top: 0;
        min-height: 100vh;
        z-index: 1;

        & > ul {
            list-style-type: none;
            margin: 0;
            padding: 0;
        }

        li {
            position: relative;

            &:hover {
                background: theme.$colorPaletteGray800;
            }

            ul {
                display: none;
                position: absolute;
                margin: 0;
                padding: 0;
                color: theme.$colorPaletteGray500;
                background: theme.$colorPaletteGray800;
                left: 100%;
                top: 0;
                list-style-type: none;
                width: max-content;
                font-size: 1rem;
                text-align: left;

                li {
                    &.divider {
                        border-top: 1px solid theme.$colorPaletteGray700;
                        margin-top: theme.$spacing03;
                        margin-bottom: theme.$spacing02;
                    }

                    a {
                        display: block;
                        color: theme.$colorText;
                        text-decoration: none;
                        padding: theme.$spacing03 theme.$spacing06 theme.$spacing03 theme.$spacing06;

                        &:hover,
                        &.active {
                            color: theme.$colorTextLink;
                        }
                    }

                    &:first-child {
                        padding-top: theme.$spacing04;
                    }

                    &:last-child {
                        padding-bottom: theme.$spacing04;
                    }
                }
            }

            &:hover {
                ul {
                    display: block;
                }
            }
        }

        &__home-link {
            display: block;
            padding: theme.$spacing05 0;

            svg {
                display: block;
                margin: 0 auto;
                width: 4rem;
            }
        }

        &__menu-item {
            display: block;
            padding: theme.$spacing05 0;
            line-height: theme.$spacing05;
            text-decoration: none;
            color: theme.$colorPaletteGray500;

            .icon {
                display: block;
                margin: 0 auto 2px;

                path {
                    fill: theme.$colorPaletteGray500;
                }
            }

            &:hover {
                color: theme.$colorPaletteGray500;
                background: theme.$colorPaletteGray800;
            }

            &.active {
                position: relative;
                color: theme.$colorBrand1;

                &:before {
                    content: '';
                    position: absolute;
                    top: theme.$spacing03;
                    bottom: theme.$spacing03;
                    left: 0;
                    width: 4px;
                    background: theme.$colorBrand1;
                }

                .icon path {
                    fill: theme.$colorBrand1;
                }
            }
        }
    }

    &__main-wrapper {
        flex: 1;
        height: 100%;
    }

    &__main {
        padding: theme.$spacing09;
    }

    &__header {
        display: flex;
        justify-content: space-between;

        &__title {
            margin-bottom: theme.$spacing01;
        }

        &__items {
            margin-left: auto; /* Aligns it right when no title present */
            display: flex;
            align-items: center;
            height: theme.$spacing07;

            & > * + *:before {
                content: '';
                height: theme.$spacing07;
                width: 1px;
                background-color: theme.$colorPaletteGray600;
                margin-right: theme.$spacing07;
                margin-left: theme.$spacing07;
            }
        }

        &__organization-info {
            max-width: 20rem;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        &__user-navigation {
            position: relative;
            display: flex;
            align-items: center;


            &__button {
                padding: 0;
                font: inherit;
                color: inherit;
                background-color: transparent;
                cursor: pointer;
                display: flex;
                align-items: center;
                border: none;
            }

            &__avatar {
                margin: 0;
                height: theme.$spacing09;
                padding: theme.$spacing02;
                padding-right: 0;
                margin-right: theme.$spacing04;

                img {
                    max-width: 100%;
                    max-height: 100%;
                    border-radius: 100%;
                }
            }

            &__username {
                max-width: 15rem;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }

            &__toggle-icon {
                margin-left: theme.$spacing04;
                fill: theme.$colorText;
                transition: $_animationDuration ease-in-out;
            }

            details {
                user-select: none;
            }

            details>summary svg {
                width: 24px;
                height: 24px;
                transition: all 0.3s;
                margin-left: auto;
            }

            details[open] summary svg {
                transform: rotate(180deg);
            }

            summary {
                display: flex;
                align-items: center;
            }

            &__menu {
                position: absolute;
                margin: 0;
                padding: 0;
                right: 0;
                z-index: 2;
                background: theme.$colorPaletteGray800;
                box-shadow: 0 5px 20px 0 rgba(0, 0, 0, 0.25);
                overflow: visible;

                a {
                    font: inherit;
                    background-color: transparent;
                    display: block;
                    text-align: center;
                    text-decoration: none;
                    color: theme.$colorText;
                    font-size: theme.$fontSizeMedium;
                    padding: theme.$spacing04 theme.$spacing06 theme.$spacing04 theme.$spacing05;
                    border: 2px solid transparent;

                    &:hover {
                        background-color: theme.$colorBackgroundDropdownHover;
                    }
                    &:active {
                            background-color: theme.$colorBackgroundDropdownActive;
                    }
                }
            }
        }
    }

    &__description {
        margin-bottom: theme.$spacing07;
    }
}
